Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
messagereviewlist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZForumMain", "Language" )
| $SimpleUserList = $ini->variable( "eZForumMain", "SimpleUserList" )
| $anonymous = $ini->variable( "eZForumMain", "AnonymousPoster" )
| $ReviewLimit = $ini->variable( "eZTradeMain", "ReviewLimit" )
| $t
| $forum = new eZForum( $ForumID )
| $locale = new eZLocale( $Language )
| $messageList =& $forum->messageTree( $Offset, $SimpleUserList )
| $messageCount =& $forum->messageCount()
if(! $messageList) | else
| $i = 0
| $url = explode( "parent", $_SERVER['REQUEST_URI'] )

## Variable Documentation

## ◆ $anonymous

$anonymous = $ini->variable( "eZForumMain", "AnonymousPoster" )

Definition at line 44 of file messagereviewlist.php.

## ◆ $forum

$forum = new eZForum( $ForumID )

Definition at line 60 of file messagereviewlist.php.

## ◆ $i

$i = 0

Definition at line 88 of file messagereviewlist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 40 of file messagereviewlist.php.

## ◆ $Language

$Language = $ini->variable( "eZForumMain", "Language" )

Definition at line 42 of file messagereviewlist.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 62 of file messagereviewlist.php.

## ◆ $messageCount

$messageCount =& $forum->messageCount()

Definition at line 68 of file messagereviewlist.php.

## ◆ $messageList

$messageList =& $forum->messageTree( $Offset, $SimpleUserList )

Definition at line 67 of file messagereviewlist.php.

## ◆ $ReviewLimit

$ReviewLimit = $ini->variable( "eZTradeMain", "ReviewLimit" )

Definition at line 45 of file messagereviewlist.php.

## ◆ $SimpleUserList

$SimpleUserList = $ini->variable( "eZForumMain", "SimpleUserList" )

Definition at line 43 of file messagereviewlist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezforum/user/" . $ini->variable( "eZForumMain", "TemplateDir" ),
"kernel/ezforum/user/intl", $Language, "messagereviewlist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: messagereviewlist.php:42
$ini
$ini
Definition: messagereviewlist.php:40

Definition at line 47 of file messagereviewlist.php.

## ◆ $url

$url = explode( "parent", $_SERVER['REQUEST_URI'] )

Definition at line 153 of file messagereviewlist.php.

Referenced by ezpKernelRedirect\__construct(), eZPerson\addOnline(), eZCompany\addOnline(), ezpLanguageSwitcher\addPathPrefixIfNeeded(), eZHTTPTool\addVariable(), eZURI\codecURL(), eZQDomGenerator\decodeRollOver(), eZURI\decodeURL(), eZURI\encodeURL(), fetchURLInfo(), ezpLanguageSwitcher\isUrlPointingToModule(), eZArticleSupplier\item(), eZContactSupplier\item(), eZProductSupplier\item(), eZNyheterNOImporter\news(), ezpLanguageSwitcher\removePathPrefixIfNeeded(), eZHTTPTool\removeVariable(), eZQDomRenderer\renderRollOver(), eZSys\serverURL(), eZUserGroup\setGroupURL(), ezpLanguageSwitcher\setupTranslationSAList(), eZLinkItem\setURL(), eZAd\store(), eZLink\store(), eZNews\store(), eZSourceSite\store(), eZTip\store(), eZURLTranslator\translate(), eZLink\update(), eZArticleSupplier\urlList(), eZContactSupplier\urlList(), and eZProductSupplier\urlList().

## ◆ else

if (! $messageList) else

Initial value:
{
$level = 0
$level
$level
Definition: admin/message.php:106

Definition at line 85 of file messagereviewlist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.